## rst2pdf 0.96

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --upgrade requirements.in
#
aafigure==0.6
alabaster==0.7.12         # via sphinx
babel==2.7.0              # via sphinx
backports.functools-lru-cache==1.5  # via matplotlib
certifi==2019.3.9         # via requests
chardet==3.0.4            # via requests
cycler==0.10.0            # via matplotlib
docutils==0.14
html5lib==1.0.1           # via xhtml2pdf
idna==2.8                 # via requests
imagesize==1.1.0          # via sphinx
jinja2==2.10.1            # via sphinx
kiwisolver==1.1.0         # via matplotlib
markupsafe==1.1.1         # via jinja2
matplotlib==2.2.4
numpy==1.16.4             # via matplotlib
packaging==19.0           # via sphinx
pdfrw==0.4
pillow==6.2.0             # via reportlab, xhtml2pdf
pygments==2.4.2
pyparsing==2.4.0          # via matplotlib, packaging
pypdf2==1.26.0
python-dateutil==2.8.0    # via matplotlib
pytz==2019.1              # via babel, matplotlib
reportlab==3.5.23
requests==2.22.0          # via sphinx
six==1.12.0
smartypants==2.0.1
snowballstemmer==1.2.1    # via sphinx
sphinx==1.8.5
sphinxcontrib-websupport==1.1.2  # via sphinx
subprocess32==3.5.4       # via matplotlib
svg2rlg==0.3
svglib==0.9.3
typing==3.6.6             # via sphinx
urllib3==1.25.3           # via requests
webencodings==0.5.1       # via html5lib
xhtml2pdf==0.2.3

=== debian/changelog ===
rst2pdf (0.96-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - remove patches, merged upstream
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Feb 2020 18:36:48 -0500

rst2pdf (0.95-1) unstable; urgency=medium

  [ Elena Grandi ]
  * Drop fix_invariant_dates.patch merged upstream.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Sandro Tosi ]
  * New upstream release; Closes: #929954
  * debian/control
    - add myself to Uploaders; will help out with this package; Closes: #876681
    - add fontconfig, jinja2, matplotlib, smartypants, six to b-d, needed by doc
    - update Homepage field
  * debian/copyright
    - add myself to Debian packaging contributions
    - update upstream copyright notice (by running `cme update dpkg-copyright`
      and then manually fixing it)
  * Switch to python3; Closes: #938416
  * Build documentation without using get_docs.sh

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jan 2020 13:21:05 -0500

=== debian/control ===
Source: rst2pdf
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Elena Grandi <valhalla@debian.org>,
           Sandro Tosi <morph@debian.org>,
Build-Depends: debhelper-compat (=11),
Build-Depends-Indep: dh-python,
                     fontconfig,
                     python3-all,
                     python3-docutils,
                     python3-jinja2,
                     python3-matplotlib,
                     python3-pdfrw,
                     python3-pkg-resources,
                     python3-pygments,
                     python3-pypdf2,
                     python3-reportlab,
                     python3-setuptools,
                     python3-simplejson,
                     python3-smartypants,
                     python3-six,
Standards-Version: 4.5.0
Homepage: https://rst2pdf.org/
Vcs-Git: https://salsa.debian.org/python-team/applications/rst2pdf.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/rst2pdf

Package: rst2pdf
Architecture: all
Depends: python3-docutils,
         python3-pdfrw,
         python3-pkg-resources,
         python3-pygments,
         python3-reportlab,
         python3-setuptools,
         python3-simplejson,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-aafigure,
          python3-matplotlib,
          python3-pil,
          python3-sphinx,
          python3-uniconvertor,
Description: ReportLab-based reStructuredText to PDF renderer
 The usual way of creating PDF files from reStructuredText is by going through
 LaTeX. This tool provides an alternative by producing PDF directly using the
 ReportLab library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=rst2pdf
# Tests with python setup.py test aren't working
export PYBUILD_DISABLE=test

# build HTML doc and manpage after package build
export PYBUILD_AFTER_BUILD=cd doc ; \
                           PYTHONPATH={build_dir} {interpreter} rst2html-manual.py --stylesheet=assets/manual.css manual.rst output/html/manual.html ; \
                           rst2man rst2pdf.rst output/rst2pdf.1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pybuild/ rst2pdf.egg-info/

## rst2pdf 0.97

=== requirements.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 numpy==1.16.4             # via matplotlib
 packaging==19.0           # via sphinx
 pdfrw==0.4
-pillow==6.2.0             # via reportlab, xhtml2pdf
+pillow==6.2.2             # via reportlab, xhtml2pdf
 pygments==2.4.2
 pyparsing==2.4.0          # via matplotlib, packaging
 pypdf2==1.26.0

=== debian/changelog ===
rst2pdf (0.97-2) unstable; urgency=medium

  * properly spell 'fontconfig' in Depends; Closes: #960571

 -- Sandro Tosi <morph@debian.org>  Wed, 27 May 2020 11:52:20 -0400

rst2pdf (0.97-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright information
  * debian/control
    - add fontconfig to Depends; Closes: #960571

 -- Sandro Tosi <morph@debian.org>  Tue, 26 May 2020 22:33:01 -0400

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,8 @@
 
 Package: rst2pdf
 Architecture: all
-Depends: python3-docutils,
+Depends: fontconfig,
+         python3-docutils,
          python3-pdfrw,
          python3-pkg-resources,
          python3-pygments,

## rst2pdf 0.98

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
aafigure==0.6
alabaster==0.7.12         # via sphinx
babel==2.8.0              # via sphinx
certifi==2019.11.28       # via requests
chardet==3.0.4            # via requests
cssselect2==0.2.2         # via svglib
cycler==0.10.0            # via matplotlib
docutils==0.16
html5lib==1.0.1           # via xhtml2pdf
idna==2.8                 # via requests
imagesize==1.2.0          # via sphinx
jinja2==2.10.3            # via sphinx
kiwisolver==1.1.0         # via matplotlib
lxml==4.4.2               # via svglib
markupsafe==1.1.1         # via jinja2
matplotlib==3.1.2
numpy==1.18.1             # via matplotlib
packaging==20.0           # via sphinx
pillow==7.1.0             # via reportlab, xhtml2pdf
pygments==2.5.2
pyparsing==2.4.6          # via matplotlib, packaging
pypdf2==1.26.0
python-dateutil==2.8.1    # via matplotlib
pytz==2019.3              # via babel
reportlab==3.5.34
requests==2.22.0          # via sphinx
smartypants==2.0.1
snowballstemmer==2.0.0    # via sphinx
sphinx==1.8.5
sphinxcontrib-websupport==1.1.2  # via sphinx
svg2rlg==0.3
svglib==0.9.3
tinycss2==1.0.2           # via cssselect2, svglib
urllib3==1.25.7           # via requests
webencodings==0.5.1       # via html5lib, tinycss2
xhtml2pdf==0.2.4

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
rst2pdf (0.98-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notice
  * debian/control
    - remove pdfrw, upstream no longer uses it; Closes: #962651
    - remove six from b-d, no longer needed
    - add new b-d: importlib-metadata, packaging
  * debian/patches/disable_scm.patch
    - dont use setuptools_scm

 -- Sandro Tosi <morph@debian.org>  Tue, 08 Sep 2020 22:59:47 -0400

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                      fontconfig,
                      python3-all,
                      python3-docutils,
+                     python3-importlib-metadata,
                      python3-jinja2,
                      python3-matplotlib,
-                     python3-pdfrw,
+                     python3-packaging,
                      python3-pkg-resources,
                      python3-pygments,
                      python3-pypdf2,
@@ -19,7 +20,6 @@
                      python3-setuptools,
                      python3-simplejson,
                      python3-smartypants,
-                     python3-six,
 Standards-Version: 4.5.0
 Homepage: https://rst2pdf.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/rst2pdf.git
@@ -29,7 +29,6 @@
 Architecture: all
 Depends: fontconfig,
          python3-docutils,
-         python3-pdfrw,
          python3-pkg-resources,
          python3-pygments,
          python3-reportlab,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rst2pdf-$1\.tar\.gz/ \
  https://github.com/rst2pdf/rst2pdf//tags .*/v?(\d\S*)\.tar\.gz

## rst2pdf 0.99

=== debian/changelog ===
rst2pdf (0.99-1) unstable; urgency=medium

  * New upstream release; Closes: #639544
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Jan 2023 19:17:16 -0500

rst2pdf (0.98-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 23:29:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rst2pdf
 Section: utils
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Elena Grandi <valhalla@debian.org>,
            Sandro Tosi <morph@debian.org>,
 Build-Depends: debhelper-compat (=11),
@@ -20,10 +20,10 @@
                      python3-setuptools,
                      python3-simplejson,
                      python3-smartypants,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2.0
 Homepage: https://rst2pdf.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/rst2pdf.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/rst2pdf
+Vcs-Git: https://salsa.debian.org/python-team/packages/rst2pdf.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/rst2pdf
 
 Package: rst2pdf
 Architecture: all

## rst2pdf 0.101

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --extra=aafiguresupport --extra=mathsupport --extra=plantumlsupport --extra=rawhtmlsupport --extra=sphinx --extra=svgsupport --extra=tests --output-file=requirements.txt setup.py
#
aafigure==0.6
    # via rst2pdf (setup.py)
alabaster==0.7.13
    # via sphinx
arabic-reshaper==3.0.0
    # via xhtml2pdf
asn1crypto==1.5.1
    # via
    #   oscrypto
    #   pyhanko
    #   pyhanko-certvalidator
attrs==22.2.0
    # via pytest
babel==2.12.1
    # via sphinx
certifi==2022.12.7
    # via requests
cffi==1.15.1
    # via cryptography
charset-normalizer==3.1.0
    # via requests
click==8.1.3
    # via pyhanko
contourpy==1.0.7
    # via matplotlib
cryptography==39.0.2
    # via
    #   pyhanko
    #   pyhanko-certvalidator
cssselect2==0.7.0
    # via svglib
cycler==0.11.0
    # via matplotlib
docutils==0.19
    # via
    #   rst2pdf (setup.py)
    #   sphinx
exceptiongroup==1.1.1
    # via pytest
fonttools==4.39.2
    # via matplotlib
html5lib==1.1
    # via xhtml2pdf
httplib2==0.21.0
    # via plantuml
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==6.0.0
    # via rst2pdf (setup.py)
iniconfig==2.0.0
    # via pytest
jinja2==3.1.2
    # via
    #   rst2pdf (setup.py)
    #   sphinx
kiwisolver==1.4.4
    # via matplotlib
lxml==4.9.2
    # via svglib
markupsafe==2.1.2
    # via jinja2
matplotlib==3.7.1
    # via rst2pdf (setup.py)
numpy==1.24.2
    # via
    #   contourpy
    #   matplotlib
oscrypto==1.3.0
    # via pyhanko-certvalidator
packaging==23.0
    # via
    #   matplotlib
    #   pytest
    #   rst2pdf (setup.py)
    #   sphinx
pillow==9.4.0
    # via
    #   matplotlib
    #   reportlab
    #   xhtml2pdf
plantuml==0.3.0
    # via rst2pdf (setup.py)
pluggy==1.0.0
    # via pytest
pycparser==2.21
    # via cffi
pygments==2.14.0
    # via
    #   rst2pdf (setup.py)
    #   sphinx
pyhanko==0.17.2
    # via xhtml2pdf
pyhanko-certvalidator==0.20.1
    # via
    #   pyhanko
    #   xhtml2pdf
pymupdf==1.21.1
    # via rst2pdf (setup.py)
pyparsing==3.0.9
    # via
    #   httplib2
    #   matplotlib
pypdf==3.5.2
    # via xhtml2pdf
pypng==0.20220715.0
    # via qrcode
pytest==7.2.2
    # via rst2pdf (setup.py)
python-bidi==0.4.2
    # via xhtml2pdf
python-dateutil==2.8.2
    # via matplotlib
pytz==2022.7.1
    # via pyhanko
pytz-deprecation-shim==0.1.0.post0
    # via tzlocal
pyyaml==6.0
    # via
    #   pyhanko
    #   rst2pdf (setup.py)
qrcode==7.4.2
    # via pyhanko
reportlab==3.6.12
    # via
    #   rst2pdf (setup.py)
    #   svglib
    #   xhtml2pdf
requests==2.28.2
    # via
    #   pyhanko
    #   pyhanko-certvalidator
    #   sphinx
six==1.16.0
    # via
    #   html5lib
    #   python-bidi
    #   python-dateutil
smartypants==2.0.1
    # via rst2pdf (setup.py)
snowballstemmer==2.2.0
    # via sphinx
sphinx==6.1.3
    # via rst2pdf (setup.py)
sphinxcontrib-applehelp==1.0.4
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.1
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
svglib==1.5.1
    # via
    #   rst2pdf (setup.py)
    #   xhtml2pdf
tinycss2==1.2.1
    # via
    #   cssselect2
    #   svglib
tomli==2.0.1
    # via pytest
typing-extensions==4.5.0
    # via qrcode
tzdata==2022.7
    # via pytz-deprecation-shim
tzlocal==4.2
    # via pyhanko
uritools==4.0.1
    # via pyhanko-certvalidator
urllib3==1.26.15
    # via requests
webencodings==0.5.1
    # via
    #   cssselect2
    #   html5lib
    #   tinycss2
xhtml2pdf==0.2.9
    # via rst2pdf (setup.py)
zipp==3.15.0
    # via importlib-metadata

=== debian/changelog ===
rst2pdf (0.101-2) unstable; urgency=medium

  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 00:51:53 -0500

rst2pdf (0.101-1) unstable; urgency=medium

  [ Elena Grandi ]
  * New upstream release.

  [ Sandro Tosi ]
  * debian/control
    - remove pypdf2 from b-d, no longer needed; Closes: #1061265
    - build package using pybuild-plugin-pyproject
    - add fitz, pytest, sphinx, svglib, yaml to b-d, needed by tests
    - run autopkgtests via autopkgtest-pkg-pybuild
  * debian/rules
    - run tests at build time

 -- Sandro Tosi <morph@debian.org>  Wed, 31 Jan 2024 03:48:26 -0500

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,31 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Elena Grandi <valhalla@debian.org>,
-           Sandro Tosi <morph@debian.org>,
 Build-Depends: debhelper-compat (=11),
-Build-Depends-Indep: dh-python,
-                     fontconfig,
+Build-Depends-Indep: fontconfig,
+                     pybuild-plugin-pyproject,
                      python3-all,
                      python3-docutils,
+                     python3-fitz <!nocheck>,
                      python3-importlib-metadata,
                      python3-jinja2,
                      python3-matplotlib,
                      python3-packaging,
                      python3-pkg-resources,
                      python3-pygments,
-                     python3-pypdf2,
+                     python3-pytest <!nocheck>,
                      python3-reportlab,
                      python3-setuptools,
                      python3-simplejson,
                      python3-smartypants,
+                     python3-sphinx <!nocheck>,
+                     python3-svglib <!nocheck>,
+                     python3-yaml <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://rst2pdf.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/rst2pdf.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rst2pdf
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: rst2pdf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,25 @@
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=rst2pdf
-# Tests with python setup.py test aren't working
-export PYBUILD_DISABLE=test
+
+# skip tests currently failing due to threshold breached; https://github.com/rst2pdf/rst2pdf/issues/1186
+export PYBUILD_TEST_ARGS = -v \
+                           -k "not test-referencing-an-aliased-font \
+			   and not test_aafigure \
+			   and not test_aafigure_extra \
+			   and not test_blockquotes_in_table \
+			   and not test_docutils_math \
+			   and not test_issue_231 \
+			   and not test_issue_349 \
+			   and not test_issue_363 \
+			   and not test_issue_73_unicode_box_drawing_characters_renders_without_errors \
+			   and not test_issue_785 \
+			   and not test_math \
+			   and not test_raw_html \
+			   and not test_slides \
+			   and not sphinx-issue252 \
+			   and not sphinx-issue257 \
+			   "
 
 # build HTML doc and manpage after package build
 export PYBUILD_AFTER_BUILD=cd doc ; \

## rst2pdf 0.102

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --extra=aafiguresupport --extra=mathsupport --extra=plantumlsupport --extra=rawhtmlsupport --extra=sphinx --extra=svgsupport --extra=tests --output-file=requirements.txt setup.py
#
aafigure==0.6
    # via rst2pdf (setup.py)
alabaster==0.7.16
    # via sphinx
arabic-reshaper==3.0.0
    # via xhtml2pdf
asn1crypto==1.5.1
    # via
    #   oscrypto
    #   pyhanko
    #   pyhanko-certvalidator
babel==2.15.0
    # via sphinx
certifi==2024.2.2
    # via requests
cffi==1.16.0
    # via cryptography
chardet==5.2.0
    # via reportlab
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via pyhanko
contourpy==1.2.1
    # via matplotlib
cryptography==42.0.7
    # via
    #   pyhanko
    #   pyhanko-certvalidator
cssselect2==0.7.0
    # via svglib
cycler==0.12.1
    # via matplotlib
docutils==0.21.2
    # via
    #   rst2pdf (setup.py)
    #   sphinx
fonttools==4.52.1
    # via matplotlib
html5lib==1.1
    # via xhtml2pdf
httplib2==0.22.0
    # via plantuml
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==7.1.0
    # via rst2pdf (setup.py)
iniconfig==2.0.0
    # via pytest
jinja2==3.1.4
    # via
    #   rst2pdf (setup.py)
    #   sphinx
kiwisolver==1.4.5
    # via matplotlib
lxml==5.2.2
    # via svglib
markupsafe==2.1.5
    # via jinja2
matplotlib==3.9.0
    # via rst2pdf (setup.py)
numpy==1.26.4
    # via
    #   contourpy
    #   matplotlib
oscrypto==1.3.0
    # via pyhanko-certvalidator
packaging==24.0
    # via
    #   matplotlib
    #   pytest
    #   rst2pdf (setup.py)
    #   sphinx
pillow==10.3.0
    # via
    #   matplotlib
    #   reportlab
    #   xhtml2pdf
plantuml==0.3.0
    # via rst2pdf (setup.py)
pluggy==1.5.0
    # via pytest
pycparser==2.22
    # via cffi
pygments==2.18.0
    # via
    #   rst2pdf (setup.py)
    #   sphinx
pyhanko==0.25.0
    # via xhtml2pdf
pyhanko-certvalidator==0.26.3
    # via
    #   pyhanko
    #   xhtml2pdf
pymupdf==1.24.4
    # via rst2pdf (setup.py)
pymupdfb==1.24.3
    # via pymupdf
pyparsing==3.1.2
    # via
    #   httplib2
    #   matplotlib
pypdf==4.2.0
    # via xhtml2pdf
pypng==0.20220715.0
    # via qrcode
pytest==8.2.1
    # via rst2pdf (setup.py)
python-bidi==0.4.2
    # via xhtml2pdf
python-dateutil==2.9.0.post0
    # via matplotlib
pyyaml==6.0.1
    # via
    #   pyhanko
    #   rst2pdf (setup.py)
qrcode==7.4.2
    # via pyhanko
reportlab==4.0.9
    # via
    #   rst2pdf (setup.py)
    #   svglib
    #   xhtml2pdf
requests==2.32.2
    # via
    #   pyhanko
    #   pyhanko-certvalidator
    #   sphinx
six==1.16.0
    # via
    #   html5lib
    #   python-bidi
    #   python-dateutil
smartypants==2.0.1
    # via rst2pdf (setup.py)
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.3.7
    # via rst2pdf (setup.py)
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
svglib==1.5.1
    # via
    #   rst2pdf (setup.py)
    #   xhtml2pdf
tinycss2==1.3.0
    # via
    #   cssselect2
    #   svglib
typing-extensions==4.12.0
    # via qrcode
tzlocal==5.2
    # via pyhanko
uritools==4.0.2
    # via pyhanko-certvalidator
urllib3==2.2.1
    # via requests
webencodings==0.5.1
    # via
    #   cssselect2
    #   html5lib
    #   tinycss2
xhtml2pdf==0.2.15
    # via rst2pdf (setup.py)
zipp==3.18.2
    # via importlib-metadata

=== debian/changelog ===
rst2pdf (0.102-4) unstable; urgency=medium

  * Team upload
  * Drop B-D python3-fitz (Closes: #1095375)

  [ Alexandre Detiste ]
  * python3-setuptools and python3-pkg-resources are not needed at runtime

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 23:15:48 +0100

rst2pdf (0.102-3) unstable; urgency=medium

  * Team upload
  * Revert "Deal with PyMuPDF installed as fitz_old"
  * Depend on sufficiently new PyMuPDF (Closes: #1088257, #1089526)

 -- Bastian Germann <bage@debian.org>  Wed, 15 Jan 2025 10:04:47 +0100

rst2pdf (0.102-2) unstable; urgency=medium

  * Team upload.
  * Remove leftover dependency on python3-simplejson

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 00:05:39 +0200

rst2pdf (0.102-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.102
  * Deal with PyMuPDF installed as fitz_old (Closes: #1074644)
  * Clean package properly (Closes: #1048463)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Jul 2024 20:46:28 +0200

rst2pdf (0.101-3) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * d/copyright: refresh
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Rules-Requires-Root: no (routine-update)
  Set field Upstream-Name in debian/copyright.
  * watch file standard 4 (routine-update)
  * d/upstream/metadata: populated

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 20:10:47 +0200

=== debian/control ===
Source: rst2pdf
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Elena Grandi <valhalla@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: fontconfig,
                     pybuild-plugin-pyproject,
                     python3-all,
                     python3-docutils,
                     python3-importlib-metadata,
                     python3-jinja2,
                     python3-matplotlib,
                     python3-packaging,
                     python3-pkg-resources <!nocheck>,
                     python3-pygments,
                     python3-pytest <!nocheck>,
                     python3-reportlab,
                     python3-setuptools,
                     python3-setuptools-scm,
                     python3-smartypants,
                     python3-sphinx <!nocheck>,
                     python3-svglib <!nocheck>,
                     python3-yaml <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/rst2pdf
Vcs-Git: https://salsa.debian.org/python-team/packages/rst2pdf.git
Homepage: https://rst2pdf.org/
Rules-Requires-Root: no

Package: rst2pdf
Architecture: all
Depends: fontconfig,
         python3-docutils,
         python3-pygments,
         python3-reportlab,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-aafigure,
          python3-matplotlib,
          python3-pil,
          python3-sphinx,
          python3-uniconvertor
Description: ReportLab-based reStructuredText to PDF renderer
 The usual way of creating PDF files from reStructuredText is by going through
 LaTeX. This tool provides an alternative by producing PDF directly using the
 ReportLab library.

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf .pybuild/ rst2pdf.egg-info/
+override_dh_auto_test:
+	echo Tests are temporarily disabled due to pymupdf being in a bad state.

## rst2pdf 0.103.1

=== debian/changelog ===
rst2pdf (0.103.1-2) unstable; urgency=medium

  * Team upload.
  * Fix debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Oct 2025 22:08:14 +0200

rst2pdf (0.103.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Delete the snap directory and adjust package discovery and data
    installation.
  * Add dependency on python3-roman (Closes: #1118331).
  * Restore the build-dependency on python3-pkg-resources.
  * Drop the dependency on python3-uniconvertor, it never existed in
    Debian.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Oct 2025 14:31:17 +0200

rst2pdf (0.102-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no"
  * Add build-dep on dh-sequence-python3 to build the source on Salsa CI
  * Remove duplicate build-dep. on python3-pkg-resources,
    this already build-depends on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 13:25:28 +0200

=== debian/control ===
Source: rst2pdf
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Elena Grandi <valhalla@debian.org>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
Build-Depends-Indep:
 fontconfig,
 pybuild-plugin-pyproject,
 python3-all,
 python3-docutils,
 python3-importlib-metadata,
 python3-jinja2,
 python3-matplotlib,
 python3-packaging,
 python3-pkg-resources <!nocheck>,
 python3-pygments,
 python3-pytest <!nocheck>,
 python3-reportlab,
 python3-setuptools,
 python3-setuptools-scm,
 python3-smartypants,
 python3-sphinx <!nocheck>,
 python3-svglib <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/rst2pdf
Vcs-Git: https://salsa.debian.org/python-team/packages/rst2pdf.git
Homepage: https://rst2pdf.org/

Package: rst2pdf
Architecture: all
Depends:
 fontconfig,
 python3-docutils,
 python3-pygments,
 python3-reportlab,
 python3-roman,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-aafigure,
 python3-matplotlib,
 python3-pil,
 python3-sphinx,
Description: ReportLab-based reStructuredText to PDF renderer
 The usual way of creating PDF files from reStructuredText is by going through
 LaTeX. This tool provides an alternative by producing PDF directly using the
 ReportLab library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rst2pdf-$1\.tar\.gz/ \
  https://github.com/rst2pdf/rst2pdf//tags .*/v?(\d\S*)\.tar\.gz

## rst2pdf 0.104

=== debian/changelog ===
rst2pdf (0.104-1) unstable; urgency=medium

  * Team upload.
  * Add debian/salsa-ci.yml
  * Rewrite d/watch in v5 format
  * New upstream version 0.104
  * Drop old build-dependencies:
    * python3-importlib-metadata
    * python3-smarty-pants
  * Remove 0.103.1-3 patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Jan 2026 13:17:30 +0100

rst2pdf (0.103.1-3) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-pkg-resources (Closes: #1083758)
  * This already uses dh-sequence-python3, trim d/rules of duplicate call
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 Jan 2026 12:06:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Elena Grandi <valhalla@debian.org>,
 Section: utils
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,21 +11,18 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-docutils,
- python3-importlib-metadata,
  python3-jinja2,
  python3-matplotlib,
  python3-packaging,
- python3-pkg-resources <!nocheck>,
  python3-pygments,
  python3-pytest <!nocheck>,
  python3-reportlab,
  python3-setuptools,
  python3-setuptools-scm,
- python3-smartypants,
  python3-sphinx <!nocheck>,
  python3-svglib <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rst2pdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/rst2pdf.git
 Homepage: https://rst2pdf.org/

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
                            rst2man rst2pdf.rst output/rst2pdf.1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	echo Tests are temporarily disabled due to pymupdf being in a bad state.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: rst2pdf
Project: rst2pdf
